# Generated by Django 4.0.7 on 2022-08-04 08:06

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("drf_shop", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Transaction",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, db_index=True),
                ),
                (
                    "modified_at",
                    models.DateTimeField(auto_now=True, db_index=True),
                ),
                ("sender", models.TextField()),
                ("receiver", models.TextField()),
                (
                    "amount",
                    models.DecimalField(decimal_places=0, max_digits=30),
                ),
                ("transaction_hash", models.TextField()),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Wallet",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, db_index=True),
                ),
                (
                    "modified_at",
                    models.DateTimeField(auto_now=True, db_index=True),
                ),
                ("private_key", models.TextField()),
                ("address", models.TextField()),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Network",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, db_index=True),
                ),
                (
                    "modified_at",
                    models.DateTimeField(auto_now=True, db_index=True),
                ),
                ("name", models.TextField()),
                (
                    "currency",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.RESTRICT,
                        related_name="networks",
                        to="drf_shop.currency",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
